ApiUser2 (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiUser2

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiUser2

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiUser2
      extends Object

  This is the model for user information in the API, v18 and beyond. <p> Note that any method that returns user information will not contain any password information. The password property is only used when creating or updating users.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiUser2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiUser2` | `addAuthRolesItem(ApiAuthRoleRef authRolesItem)`
    `ApiUser2` | `authRoles(List<ApiAuthRoleRef> authRoles)`
    `boolean` | `equals(Object o)`
    `List<ApiAuthRoleRef>` | `getAuthRoles()` A list of ApiAuthRole that this user possesses.
    `String` | `getName()` The username, which is unique within a Cloudera Manager installation.
    `String` | `getPassword()` Returns the user password.
    `String` | `getPwHash()` NOTE: Optional.
    `BigDecimal` | `getPwSalt()` NOTE: Optional.
    `int` | `hashCode()`
    `Boolean` | `isPwLogin()` NOTE: Optional.
    `ApiUser2` | `name(String name)`
    `ApiUser2` | `password(String password)`
    `ApiUser2` | `pwHash(String pwHash)`
    `ApiUser2` | `pwLogin(Boolean pwLogin)`
    `ApiUser2` | `pwSalt(BigDecimal pwSalt)`
    `void` | `setAuthRoles(List<ApiAuthRoleRef> authRoles)`
    `void` | `setName(String name)`
    `void` | `setPassword(String password)`
    `void` | `setPwHash(String pwHash)`
    `void` | `setPwLogin(Boolean pwLogin)`
    `void` | `setPwSalt(BigDecimal pwSalt)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiUser2

          public ApiUser2()

  - ### Method Detail

    - #### name

          public ApiUser2 name(String name)

    - #### getName

          public String getName()

      The username, which is unique within a Cloudera Manager installation.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### password

          public ApiUser2 password(String password)

    - #### getPassword

          public String getPassword()

      Returns the user password. <p> Passwords are not returned when querying user information, so this property will always be empty when reading information from a server.
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### authRoles

          public ApiUser2 authRoles(List<ApiAuthRoleRef> authRoles)

    - #### addAuthRolesItem

          public ApiUser2 addAuthRolesItem(ApiAuthRoleRef authRolesItem)

    - #### getAuthRoles

          public List<ApiAuthRoleRef> getAuthRoles()

      A list of ApiAuthRole that this user possesses.
      Returns:
        authRoles

    - #### setAuthRoles

          public void setAuthRoles(List<ApiAuthRoleRef> authRoles)

    - #### pwHash

          public ApiUser2 pwHash(String pwHash)

    - #### getPwHash

          public String getPwHash()

      NOTE: Optional. Only available in the \"export\" view.
      Returns:
        pwHash

    - #### setPwHash

          public void setPwHash(String pwHash)

    - #### pwSalt

          public ApiUser2 pwSalt(BigDecimal pwSalt)

    - #### getPwSalt

          public BigDecimal getPwSalt()

      NOTE: Optional. Only available in the \"export\" view.
      Returns:
        pwSalt

    - #### setPwSalt

          public void setPwSalt(BigDecimal pwSalt)

    - #### pwLogin

          public ApiUser2 pwLogin(Boolean pwLogin)

    - #### isPwLogin

          public Boolean isPwLogin()

      NOTE: Optional. Only available in the \"export\" view.
      Returns:
        pwLogin

    - #### setPwLogin

          public void setPwLogin(Boolean pwLogin)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.